// Generated by Selenium IDE
const { Builder, By, Key, until } = require('selenium-webdriver')
const assert = require('assert')

describe('Modulsuche', function() {
  this.timeout(30000)
  let driver
  let vars
  beforeEach(async function() {
    driver = await new Builder().forBrowser('chrome').build()
    vars = {}
  })
  afterEach(async function() {
    await driver.quit();
  })
  it('Modulsuche', async function() {
    await driver.get("http://advp44.gm.fh-koeln.de:8081/my-modules")
    {
      const element = await driver.findElement(By.css(".mat-mdc-row:nth-child(1) .mdc-button > .mat-mdc-button-touch-target"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    {
      const element = await driver.findElement(By.css(".mdc-button:nth-child(2) > .mat-mdc-button-touch-target"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    {
      const element = await driver.findElement(By.css(".mat-mdc-row:nth-child(2) .mdc-button:nth-child(1) > .mat-mdc-button-touch-target"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    await driver.findElement(By.css(".ng-star-inserted:nth-child(2) .mat-mdc-list-item-title")).click()
    {
      const element = await driver.findElement(By.css(".mat-mdc-row:nth-child(1) .mat-mdc-button-touch-target"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    {
      const element = await driver.findElement(By.css(".mat-mdc-row:nth-child(9) .mat-mdc-button-touch-target"))
      await driver.actions({ bridge: true }).moveToElement(element).perform()
    }
    {
      const element = await driver.findElement(By.CSS_SELECTOR, "body")
      await driver.actions({ bridge: true }).moveToElement(element, 0, 0).perform()
    }
    await driver.manage().window().setRect(1898, 1013)
    await driver.findElement(By.css(".mat-mdc-row:nth-child(11) .mdc-evolution-chip-set span")).click()
    {
      const elements = await driver.findElements(By.css(".compendium-container"))
      assert(elements.length)
    }
  })
})
